<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avdt__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avdt_cfg_t</compoundname>
    <includes local="no">wiced_bt_avdt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avdt__cfg__t_1abf925317ac2faa34816d4297652d3ccc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cfg_t::codec_info[AVDT_CODEC_SIZE]</definition>
        <argsstring>[AVDT_CODEC_SIZE]</argsstring>
        <name>codec_info</name>
        <briefdescription>
<para>Codec capabilities array (dependent on coded type; for SBC, use wiced_bt_a2d_bld_sbc_info or wiced_bt_a2d_pars_sbc_info to build/parse codec_info) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="374" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="374" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cfg__t_1a76832a7cb759715ec68e6966ea04fc84" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cfg_t::protect_info[AVDT_PROTECT_SIZE]</definition>
        <argsstring>[AVDT_PROTECT_SIZE]</argsstring>
        <name>protect_info</name>
        <briefdescription>
<para>Content protection capabilities. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="376" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="376" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cfg__t_1ad0f7dbf0a61c3812d366ada89000e93c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cfg_t::num_codec</definition>
        <argsstring />
        <name>num_codec</name>
        <briefdescription>
<para>Number of media codec information elements. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="377" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="377" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cfg__t_1aacbb7f3e25a8de4e9dfaa476218fa5bd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cfg_t::num_protect</definition>
        <argsstring />
        <name>num_protect</name>
        <briefdescription>
<para>Number of content protection information elements. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="378" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="378" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cfg__t_1ad8393035f4de308c33669edfe5eaa282" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avdt_cfg_t::psc_mask</definition>
        <argsstring />
        <name>psc_mask</name>
        <briefdescription>
<para>Protocol service capabilities mask (see <ref kindref="member" refid="group__wicedbt__avdt_1AVDT_PSC">Protocol sevice capabilities</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="379" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="379" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cfg__t_1a582e14dbf1ab389e1fe6e1d271b68e80" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cfg_t::recov_type</definition>
        <argsstring />
        <name>recov_type</name>
        <briefdescription>
<para>Recovery type (see <ref kindref="member" refid="group__wicedbt__avdt_1AVDT_RECOV">Recovery types</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="380" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="380" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cfg__t_1a544a24da46887872ba1469228a0caada" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cfg_t::recov_mrws</definition>
        <argsstring />
        <name>recov_mrws</name>
        <briefdescription>
<para>Maximum recovery window size. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="381" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="381" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cfg__t_1a0fe6460416fcecae7d1876ce1e51d12b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cfg_t::recov_mnmp</definition>
        <argsstring />
        <name>recov_mnmp</name>
        <briefdescription>
<para>Recovery maximum number of media packets. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="382" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="382" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__cfg__t_1ae06db6e3f720ad72b4e1ec3a42bd13ec" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_cfg_t::hdrcmp_mask</definition>
        <argsstring />
        <name>hdrcmp_mask</name>
        <briefdescription>
<para>Header compression capabilities mask (see <ref kindref="member" refid="group__wicedbt__avdt_1AVDT_HDRCMP">Header compression capabilities</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="383" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="383" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Stream endpoint configuration. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="384" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="373" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="373" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1abf925317ac2faa34816d4297652d3ccc" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>codec_info</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1ae06db6e3f720ad72b4e1ec3a42bd13ec" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>hdrcmp_mask</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1ad0f7dbf0a61c3812d366ada89000e93c" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>num_codec</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1aacbb7f3e25a8de4e9dfaa476218fa5bd" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>num_protect</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1a76832a7cb759715ec68e6966ea04fc84" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>protect_info</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1ad8393035f4de308c33669edfe5eaa282" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>psc_mask</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1a0fe6460416fcecae7d1876ce1e51d12b" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>recov_mnmp</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1a544a24da46887872ba1469228a0caada" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>recov_mrws</name></member>
      <member prot="public" refid="structwiced__bt__avdt__cfg__t_1a582e14dbf1ab389e1fe6e1d271b68e80" virt="non-virtual"><scope>wiced_bt_avdt_cfg_t</scope><name>recov_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>